%define pkg_name        UNIVERSAL-exports
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 1.n0i.8

Summary:       Lightweight, universal exporting of variables
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Exporter::Lite) >= 0.01}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.47}

%global perl_filter_prov 'perl\\(UNIVERSAL\\)'


%description
This is an alternative to Exporter intended to provide a universal,
lightweight subset of its functionality. It uses Exporter::Lite, so look there
for details.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer 804.027
- version 0.05

* Wed Oct 12 2005 Marius Feraru <altblue@n0i.net> 0.03-4.n0i.7
- excluded UNIVERSAL::require (provided separate on CPAN)

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.03-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.03-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.03-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.03-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.03-0.n0i
- version 0.03
